package com.ruoyi.web.modules.architecture.service;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizGrowthSlaughterStandard;

/**
 * 生长与出栏标准 服务
 */
public interface IBizGrowthSlaughterStandardService
{
    BizGrowthSlaughterStandard selectBizGrowthSlaughterStandardById(Long id);

    List<BizGrowthSlaughterStandard> selectBizGrowthSlaughterStandardList(BizGrowthSlaughterStandard query);

    int insertBizGrowthSlaughterStandard(BizGrowthSlaughterStandard row);

    int updateBizGrowthSlaughterStandard(BizGrowthSlaughterStandard row);

    int deleteBizGrowthSlaughterStandardByIds(Long[] ids);

    int syncKb(Long id);

    int removeKb(Long id);

    int publish(Long id);

    int offline(Long id);
}
